{
                Copyright (C) 1996-1997 by Artem A. Berman                   
                E-mail: art@aber.kherson.ua                             
 
  This components can be freely used and distributed in commercial and  
  private environments, provied this notice is not modified in any way. 

  Version 1.0. Date last modified:  05/03/96                            
  Version 1.01. Date last modified:  7-Apr-97                           
           + Replaced TExplorerBox with new version
           + Rewrited 60 % of code
           + Replaced TWin95SpeedButton to Borland's
             TSpeedButton                                              }

unit Advdlg;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExpDlg;

type
  TExplorerDialog = class(TComponent)
  private
    FCaption,
    FFilter: string;
    FDirectory,
    FFileName: TFileName;
  public
    constructor Create(aOwner: TComponent); override;
    function Execute: Boolean; virtual;
  published
    property Caption: string read FCaption write FCaption;
    property Filter: string read FFilter write FFilter;
    property Directory: TFileName read FDirectory write FDirectory;
    property FileName: TFileName read FFileName;
  end;


procedure Register;

implementation

{TExplorerDialog}
constructor TExplorerDialog.Create(aOwner: TComponent);
begin
  inherited Create(aOwner);
  FCaption := 'Open';
end;

function TExplorerDialog.Execute: Boolean;
begin
  ExplorerDlg := TExplorerDlg.Create(Application);
  try
    ExplorerDlg.Caption := FCaption;
    ExplorerDlg.FilterComboBox1.Filter := FFilter;
    ExplorerDlg.ExplorerBox1.Directory := FDirectory;
    Result := (ExplorerDlg.ShowModal = IDOK);
  finally
    FDirectory := ExplorerDlg.ExplorerBox1.Directory;
    FFileName := ExplorerDlg.ExplorerBox1.FileName;
    ExplorerDlg.Free;
  end;
end;

procedure Register;
begin
  RegisterComponents('Dialogs', [TExplorerDialog]);
end;

end. 